﻿@media only screen and (max-width: 650px) {
    .media_big { display: none; }

    .label.time { font-size: 150% !important; }

    button[role="commitOrder"] {
        bottom: 5px;
        right: 30px;
    }
}

.scene_holder { height: calc(100% - 70px); }

@media only screen and (max-width: 450px) {
    body { padding-bottom: 5px; }

    div#list-tickets { display: none; }

    .full-price {
        bottom: 0;
        left: 0;
    }

    .tariff-name { text-align: center; }

    .tariff-heading { display: none; }

    button[role="commitOrder"] {
        bottom: 5px;
        right: 5px;
    }

    button#back {
        bottom: 5px;
        height: 38px;
        left: 5px;
        position: fixed;
        z-index: 100;
    }

    .popover.bottom {
        left: auto !important;
        width: 100%;
    }
}

@media only screen and (min-width: 450px) {
    .tariff-addGroup { margin-top: -7px; }

    .tariff-heading {
        border-bottom: 1px solid #c5c5c5;
        margin-bottom: 10px;
    }
}

@font-face {
    font-family: OpenSans;
    src: url("../fonts/OPENSANSREGULAR.TTF");
}

@font-face {
    font-family: OpenSansSemiBold;
    src: url("../fonts/OPENSANSSEMIBOLD.TTF");
}

#seats, #sectors, #adds { cursor: default !important; }

#sectors g[id^="a"], #seats g[class*="cs"], #seats g.order, #seats g.sell { cursor: pointer; }

svg text {
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    -webkit-user-select: none;
    user-select: none;    
}

#seats g.locked { cursor: not-allowed; }

#seats g.gw_ticket > rect {
    stroke: blue;
    stroke-width: 3;
}

#seats g.selected > rect {
    fill: #3e001f;
    stroke: #ffffff;
    stroke-width: 1.53px;
}

#seats g.selected.ui-selecting { opacity: 0.3; }

#sectors g.empty {
    cursor: default;
    opacity: 0.5;
}

#Scene {
    font-family: OpenSans, Verdana;
    padding-top: 5px;
    position: relative;
    top: 40px;
}

#SceneWow {
    font-family: OpenSans;
    padding-top: 5px;
    position: relative;
    top: 10px;
}

.scene-view, .cs-view {
    background-color: #fff;
    border: solid 1px #aaaaaa;
    display: block;
    overflow: hidden;
    position: relative;
    width: 100%;
}

.scene-view {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    /*min-height: 500px;*/
}

.cs-view {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    height: 58px;
    margin-bottom: -1px;
    overflow-y: auto;
}

.scene_controls {
    display: flex;
    margin-bottom: 5px;
    margin-top: 10px;
    position: relative;
}

.tickets-view-wrap {
    border: black 1px solid;
    border-radius: 4px;
    display: block;
    max-height: 500px;
    min-height: 500px;
    overflow-y: auto;
    padding: 20px;
    position: relative;
}

@media (min-width: 991px) {
    .tickets-view {
        display: table;
        margin: 0 auto;
        width: 700px;
    }
}

.ticket-count {
    font-size: 1.4em;
    font-weight: bold;
}

.ticket-lesscount { font-weight: bold; }

/* Navigate Buttons */


.scene-view #btns {
    left: calc(100% - 60px);
    position: absolute;
    top: calc(50% - 120px);
    z-index: 0;
}

.scene-view #btns #holder {
    background-image: url('../Images/svg/btns.png');
    border: 0;
    display: none;
    height: 94px;
    left: 0;
    margin: 0;
    padding: 0;
    position: relative;
    top: 0;
    width: 37px;
}

.scene-view #btns #moveup,
.scene-view #btns #moveleft,
.scene-view #btns #moveright,
.scene-view #btns #movedown,
.scene-view #btns #zoomin,
.scene-view #btns #zoomout {
    border: 1px solid;
    border-radius: 37px;
    box-shadow: 0px 0px 6px;
    color: #ccc;
    cursor: pointer;
    font-size: 24px;
    font-weight: 100;
    height: 32px;
    left: 16px;
    line-height: 29px;
    padding-left: 2px;
    position: absolute;
    text-align: center;
    top: 7px;
    width: 32px;
}

.scene-view #btns #moveup:hover,
.scene-view #btns #moveleft:hover,
.scene-view #btns #moveright:hover,
.scene-view #btns #movedown:hover,
.scene-view #btns #zoomin:hover,
.scene-view #btns #zoomout:hover { color: #555; }

.scene-view #btns #moveup { display: none; }

.scene-view #btns #moveleft {
    display: none;
    left: 1px;
    top: 31px;
}

.scene-view #btns #moveright {
    display: none;
    left: 31px;
    top: 31px;
}

.scene-view #btns #movedown {
    display: none;
    left: 16px;
    padding-top: 1px;
    top: 55px;
}

.scene-view #btns #zoomin {
    left: 16px;
    padding-top: 1px;
    top: 84px;
}

.scene-view #btns #zoomout {
    left: 16px;
    padding-top: 2px;
    top: 120px;
}

.back-btn {
    position: absolute;
    right: 50px;
    top: 65px;
}

.label.title {
    background-color: lightskyblue;
    color: floralwhite;
    font-family: sans-serif;
    font-size: 230%;
}

.label.time {
    font-size: 200%;
    margin-bottom: 10px;
    position: absolute;
    right: 10px;
    top: 0px;
}

.btn-group.pull-right {
    display: block;
    float: right;
    position: relative;
}

.col-md-6.pull-right, .col-md-5.pull-right, .col-md-8.pull-right, .col-md-4.pull-right {
    padding-right: 6px;
    position: absolute;
    right: 5px;
    top: 0px;
}

.popover .footer {
    background-color: #f7f7f7;
    border-top: 1px solid #ebebeb;
    font-size: 12px;
    font-weight: normal;
    line-height: 18px;
    margin: 9px -15px -9px;
    padding: 3px 12px;
}

#seats > g text, #seats > g tspan { fill: #4e4e4e; }

.popover hr {
    margin-bottom: 10px;
    margin-top: 10px;
}

.ordering_info {
    font-family: OpenSans;
    margin-top: -15px;
}

.color-schema { display: block; }

.color-schema .color-box {
    height: 40px;
    margin: 0 auto;
}

.color-schema > div {
    color: #5e5e5e;
    display: inline-block;
    font-family: OpenSansSemiBold;
    font-size: 13px;
    margin-bottom: -5px;
    min-width: 65px;
    padding: 5px 5px;
    padding-top: 8px;
    position: relative;
    text-align: center;
}

.color-schema > div span {
    cursor: default;
    display: block;
    line-height: 40px;
    margin-top: -40px;
    position: relative;
    text-align: center;
    white-space: nowrap;
    width: 100%;
}

.fa-plus {
    background: url("../Images/svg/Plus_symbol.svg");
    background-position: -10px -10px;
    background-size: 50px 50px;
}

.fa-minus {
    background: url(../Images/svg/Minus_symbol.svg) no-repeat top left;
    background-position: 4.5px 2px;
    background-size: 22px 28px;
}

#svgscale[version="2"] #seats > g circle:hover + text,
#svgscale[version="2"] #seats > g.cs0 circle + text,
#svgscale[version="2"] #seats > g circle + text:hover,
#svgscale[version="2"] #seats > g rect + text,
#svgscale[version="2"] #seats > g rect + text + text { display: block !important; }

#svgscale[version="2"] #seats > g:not(.ui-selecting):not(.ui-selectee) circle:hover + text,
#svgscale[version="2"] #seats > g.cs0:not(.ui-selecting) circle + text,
#svgscale[version="2"] #seats > g:not(.ui-selecting):not(.ui-selectee) circle + text:hover {
    display: block !important;
    fill: gray;
    font-size: 17px;
}


#svgscale[version="2"] #seats > g.order circle + text,
#svgscale[version="2"] #seats > g.sell circle + text,
#svgscale[version="2"] #seats > g.ui-selecting text,
#svgscale[version="2"] #seats > g.selected text {
    display: block !important;
    fill: white;
}

#svgscale[version="2"] #seats > g.order circle + text,
#svgscale[version="2"] #seats > g.sell circle + text { font-size: 17px; }

div.bottom-line {
    border-bottom: 1px solid #c5c5c5;
    padding: 5px;
}

div.bottom-line > div { line-height: 30px; }

.row.bottom-line:last-child { border: none; }


.tickets-view .success, .tariff-line.success {
    background-color: #d6e9c6;
    font-weight: 700;
}